package com.exner.tools.immichuploader.data.entities

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey
import com.squareup.moshi.JsonClass
import kotlinx.datetime.Instant

@Entity
@JsonClass(generateAdapter = true)
data class MediaFile(
    @ColumnInfo(name = "uri") val uri: String,
    @ColumnInfo(name = "name") val name: String,
    @ColumnInfo(name = "device_asset_id") val deviceAssetId: Long,
    @ColumnInfo(name = "last_backup") val lastBackup: Instant?,
    @ColumnInfo(name = "backup_status") val backupStatus: String?, // created, replaced, duplicate
    @ColumnInfo(name = "immich_asset_id") val immichAssetId: String?,
    @ColumnInfo(name = "created_date") val createdDate: Instant?,
    @ColumnInfo(name = "updated_date") val updatedDate: Instant?,
    @ColumnInfo(name = "pseudo_folder") val pseudoFolder: String?,

    @PrimaryKey(autoGenerate = true) val uid: Long = 0
)
