package com.exner.tools.immichuploader.network

import android.content.ContentResolver
import android.net.Uri
import okhttp3.MediaType
import okhttp3.RequestBody
import okio.BufferedSink
import okio.source
import java.io.IOException

class InputStreamRequestBody(
    val contentType: MediaType,
    val contentResolver: ContentResolver,
    val uri: Uri
) : RequestBody() {

    @Override
    override fun contentType(): MediaType = contentType

    @Override
    override fun contentLength(): Long = -1

    @Throws(IOException::class)
    @Override
    override fun writeTo(sink: BufferedSink) {
        val input = contentResolver.openInputStream(uri)

        input?.use { sink.writeAll(it.source()) }
            ?: throw IOException("Could not open $uri")
    }
}