package com.exner.tools.immichuploader.network.models

import androidx.room.ColumnInfo
import com.squareup.moshi.JsonClass

@JsonClass(generateAdapter = true)
data class ImmichUploadAssetResponse(
    @ColumnInfo(name = "id") val id: String?,
    @ColumnInfo(name = "status") val status: String?
)

sealed class ImmichUploadResult {
    data class ImmichUploadSuccess(
        val id: String?,
        val status: String?
    ) : ImmichUploadResult()

    data class ImmichUploadFailure(
        val errorMessage: String?
    ) : ImmichUploadResult()
}
