package com.exner.tools.immichuploader.preferences

import kotlinx.coroutines.flow.Flow

interface UserPreferencesRepository {

    fun immichServerUrl(): Flow<String?>
    suspend fun setImmichServerUrl(newUrl: String?)

    fun immichApiKey(): Flow<String?>
    suspend fun setImmichApiKey(newKey: String?)

    fun availablePseudoFolders(): Flow<Set<String>>
    suspend fun setAvailablePseudoFolders(folders: Set<String>)

    fun deleteMediaAfterSuccessfulUploadPerPseudoFolder(): Flow<Set<String>>
    suspend fun setDeleteMediaAfterSuccessfulUploadPerPseudoFolder(deleteAfterUploadPPF: Set<String>)

    fun latestMediaStoreVersion(): Flow<String>
    suspend fun setLatestMediaStoreVersion(version: String)

    fun approveEachDeletion(): Flow<Boolean>
    suspend fun setApproveEachDeletion(approve: Boolean)
}