package com.exner.tools.immichuploader.ui

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.ListItem
import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.Switch
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp

@Composable
fun TextAndSwitch(
    indent: Int = 0,
    text: String,
    checked: Boolean,
    onCheckedChange: ((Boolean) -> Unit)?
) {
    val startPadding = 0.dp // (indent * 12).dp
    ListItem(
        modifier = Modifier.fillMaxWidth().padding(start = startPadding, top = 0.dp, bottom = 0.dp),
        headlineContent = {
            Text(
                text = text,
                maxLines = 3,
                style = MaterialTheme.typography.bodyLarge
            )
        },
        trailingContent = {
            Switch(
                checked = checked,
                onCheckedChange = onCheckedChange,
                modifier = Modifier
            )
        },
    )
}

@Composable
fun SectionHeader(
    text: String
) {
    Text(
        modifier = Modifier
            .padding(0.dp, 8.dp, 0.dp, 0.dp)
            .fillMaxWidth()
            .background(MaterialTheme.colorScheme.primaryContainer),
        text = text,
        color = MaterialTheme.colorScheme.onPrimaryContainer
    )
}